Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::TransferSwitch::TransferLogEntry Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::TransferSwitch::TransferLogEntry Struct Reference

Transfer log entry. More...

## Public Attributes
time | timestamp
| Time of the transfer (UNIX timestamp, UTC)
int | oldInlet
| Active inlet before transfer (0 for none)
int | newInlet
| Active inlet after transfer (0 for none)
TransferReason | reason
| Transfer reason.
Waveform | waveform
| Voltage and current waveforms.
Statistics | statistics
| Transfer statistics.
int | switchFault
| Switch fault status.

## Detailed Description

Transfer log entry.

Definition at line 185 of file TransferSwitch.idl.

## Member Data Documentation

## ◆ newInlet

int pdumodel::TransferSwitch::TransferLogEntry::newInlet

Active inlet after transfer (0 for none)

Definition at line 188 of file TransferSwitch.idl.

## ◆ oldInlet

int pdumodel::TransferSwitch::TransferLogEntry::oldInlet

Active inlet before transfer (0 for none)

Definition at line 187 of file TransferSwitch.idl.

## ◆ reason

TransferReason pdumodel::TransferSwitch::TransferLogEntry::reason

Transfer reason.

Definition at line 189 of file TransferSwitch.idl.

## ◆ statistics

Statistics pdumodel::TransferSwitch::TransferLogEntry::statistics

Transfer statistics.

Definition at line 191 of file TransferSwitch.idl.

## ◆ switchFault

int pdumodel::TransferSwitch::TransferLogEntry::switchFault

Switch fault status.

Definition at line 192 of file TransferSwitch.idl.

## ◆ timestamp

time pdumodel::TransferSwitch::TransferLogEntry::timestamp

Time of the transfer (UNIX timestamp, UTC)

Definition at line 186 of file TransferSwitch.idl.

## ◆ waveform

Waveform pdumodel::TransferSwitch::TransferLogEntry::waveform

Voltage and current waveforms.

Definition at line 190 of file TransferSwitch.idl.

The documentation for this struct was generated from the following file:

- TransferSwitch.idl